Home » Java » Error while using h2o.init() in R – Java related-Exceptionshub

Error while using h2o.init() in R – Java related-Exceptionshub

Posted by: admin February 25, 2020 Leave a comment

Questions:

I am getting this error while initializing h2o

h2o.init()
H2O is not running yet, starting it now…

Error in .h2o.startJar(ip = ip, port = port, name = name, nthreads = nthreads,  : 
  Your java is not supported: java version "1.7.0_80"
Please download the latest Java SE JDK from the following URL:
https://www.oracle.com/technetwork/java/javase/downloads/index.html

I have tried installing latest version of Java, but still the problem persists. Kindly help.

How to&Answers:

From error it clearly saying “Your java is not supported: java version “1.7.0_80″”

Install new version of java from oracle site ex: java 8

then set that jre path from PATH and CLASSPATH

Windows 7:
1. From the desktop, right click the Computer icon.
2. Choose Properties from the context menu.
3. Click the Advanced system settings link.
4. Click Environment Variables. In the section System Variables, find the PATH environment variable and select it. Click Edit. If the PATH environment variable does not exist, click New.
5. In the Edit System Variable (or New System Variable) window, specify the value of the PATH environment variable. Click OK. Close all remaining windows by clicking OK.